Create a new configuration - Account money - Mercado Pago Developers
Create a new configuration

This endpoint allows for the configuration of specific fields to customize preferences before initiating the report creation process. The settings will be applied in the generation of reports afterwards. Important: After creating the configuration, it will not be possible to use this endpoint to create a new one. To apply changes to the report configuration, update an existing configuration through the 'Update configurations' endpoint. In case of success, the request will return a response with status 200.

POST

https://api.mercadopago.com/v1/account/settlement_report/config
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Body
columns
array

REQUIRED

Field with the details of the columns to be included in the report. Find all possible values in the Glossary section (https://www.mercadopago.com/developers/en/docs/reports/account-money/report-fields).
file_name_prefix
string

REQUIRED

Prefix that composes the report name once generated and ready for download. It does not allow empty or null values.
frequency
object

REQUIRED

This field indicates the frequency with which the report should be generated, which can be daily, weekly, or monthly.
sftp_info
object
This field provides the necessary connection data for us to access your server. It is optional and should only be sent if you want to receive the reports via SFTP.
Response parameters
file_name_prefix
string
Prefix that composes the report name once generated and ready for download, not allowing empty or null values.
display_timezone
string
This field sets the date and time displayed in the reports. In the absence of a specific time zone configuration, the system defaults to GMT-04. For time zones subject to daylight saving time, manual adjustments will be ...View more
scheduled
boolean
Informative field indicating whether there are already scheduled reports in the user's account. It will be 'true' if automatic generation is enabled, and 'false' if it is disabled.
columns
array

REQUIRED

Field with the details of the columns to be included in the report. Find all possible values in the Glossary section (https://www.mercadopago.com/developers/en/docs/reports/account-money/report-fields).
Errors

400Error.

Invalid file_name_prefix

Invalid file name prefix.

Invalid include_withdraw

Invalid include withdrawal execution.

Invalid columns

Invalid columns.

Invalid frequency

Invalid frequency.

Invalid sftp info

Invalid SFTP info.

Invalid webhook

Invalid webhook.

Invalid file config

Invalid file config.

Invalid report_language

Invalid report language.

401Unauthorized.

Invalid token

Invalid token.

409Conflict.

Duplicated id

The record already exists.

Request
curl -X POST \
    'https://api.mercadopago.com/v1/account/settlement_report/config'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    -d '{
  "columns": [
    {
      "key": "EXTERNAL_REFERENCE"
    }
  ],
  "file_name_prefix": "settlement-report",
  "frequency": {
    "hour": 0,
    "value": 1,
    "type": "monthly"
  },
  "sftp_info": {
    "server": "sftp.myserver.com",
    "password": "mypassword",
    "remote_dir": "/myfolder",
    "port": 22,
    "username": "username"
  },
  "separator": ";",
  "display_timezone": "GMT-04",
  "report_translation": "es",
  "header_language": "es",
  "scheduled": false,
  "include_withdraw": false,
  "refund_detailed": false,
  "shipping_detail": false,
  "coupon_detailed": false,
  "show_chargeback_cancel": false,
  "show_fee_prevision": false
}'
Response
{
  "file_name_prefix": "settlement-report-USER_ID",
  "display_timezone": "GMT-04",
  "scheduled": false,
  "columns": [
    {
      "key": "EXTERNAL_REFERENCE"
    }
  ],
  "report_translation": "es",
  "header_language": "es",
  "frequency": {
    "hour": 0,
    "value": 1,
    "type": "monthly"
  }
}